API para parceiros › Gerenciamento Obter a lista de botões de multilink GET /api/crm/v2/multilinks_buttonsv2
operationId: multilinksButtons.default
Autorização api-token + language + role
Parâmetros de consulta multilink_id integer obrigatório
Exemplo: 1
Respostas 200
object
status string obrigatório
Valores: successerror
Exemplo: success
data object
filters object
multilink_id object (FilterSelectInteger)
value integer
Exemplo: 8920
type string obrigatório
Exemplo: select
option array of object
value integer obrigatório
Exemplo: 8920
name string obrigatório
Exemplo: Green Basket | Kaliningrad
mode string (FilterMode)
Como a interface processa o filtro; filtros comuns não possuem mode. force_shown — sempre exibido, não pode ser ocultado. value_required — ponto de entrada para a seção: sempre exibido, não pode ter valor vazio (enquanto o valor não for selecionado, a lista permanece vazia; não há opção "todos"), a limpeza geral não o redefine.
Valores: force_shownvalue_required
Exemplo: value_required
list array of object
id integer obrigatório
Exemplo: 28
name string obrigatório
Exemplo: button
link string obrigatório
Exemplo: https://ru.foodsoul.dev/
new_window boolean obrigatório
Exemplo: false
text_color string obrigatório
Exemplo: FFFFFF
background_color string obrigatório
Exemplo: 1B5E20
sort integer obrigatório
Exemplo: 0
curl PHP JavaScript Python Copiar
curl -X GET 'https://foodsoul.pro/api/crm/v2/multilinks_buttons?multilink_id=1' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: pt' \
-H 'role: partner' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.pro/api/crm/v2/multilinks_buttons?multilink_id=1' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'pt' ,
'role' => 'partner' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/multilinks_buttons?multilink_id=1" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pt" ,
"role" : "partner"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.pro/api/crm/v2/multilinks_buttons?multilink_id=1" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pt" ,
"role" : "partner" ,
},
)
data = response . json () Resposta 200
{
"status" : "success" ,
"data" : {
"filters" : {
"multilink_id" : {
"value" : 8920 ,
"type" : "select" ,
"option" : [
{
"value" : 8920 ,
"name" : "Green Basket | Kaliningrad"
}
],
"mode" : "value_required"
}
},
"list" : [
{
"id" : 28 ,
"name" : "button" ,
"link" : "https://ru.foodsoul.dev/" ,
"new_window" : false ,
"text_color" : "FFFFFF" ,
"background_color" : "1B5E20" ,
"sort" : 0
}
]
}
} As solicitações são enviadas para foodsoul.pro — o host deste portal, não é possível escolher outro.